URLパス内の組織内に新しいプロジェクトを作成します。エージェント エンジンを使用する組織では、 ORM_ADMIN または SYSTEM_ADMIN が必要であり、 エージェント エンジンプロジェクトを挿入します 。 Atlas ベースの組織では、呼び出し元の委任された Atlas 権限(その組織の OG_ADMIN、Atlas ORM_OWNER、または ORM_GROUP_CREATOR)を使用して Atlas でプロジェクトを作成し、 エージェント エンジンのプロジェクトレコードを返します。 Atlas 組織の下にあるエージェント エンジンに所有される子は作成されません。
POST /api/v1 /orgs/{orgId}/projects
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/orgs/{orgId}/projects' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"allow_member_invites": true,
"description": "string",
"name": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
}
}'
リクエスト例
{
"allow_member_invites": true,
"description": "string",
"name": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
}
}
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(201)
{
"allow_member_invites": true,
"atlas": {
"environment": "string",
"id": "string",
"organization_id": "string"
},
"can_manage_deployments": true,
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
},
"source": "atlas",
"updated_at": "string",
"workspace_count": 42
}
応答の例(201)
{
"allow_member_invites": true,
"atlas": {
"environment": "string",
"id": "string",
"organization_id": "string"
},
"can_manage_deployments": true,
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
},
"source": "atlas",
"updated_at": "string",
"workspace_count": 42
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(402)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(402)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(409)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(409)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(503)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(503)
{
"code": "string",
"error": "string",
"success": true
}